JTS Topology Suite - v 1.12

## com.vividsolutions.jts.index.strtree
Interface ItemDistance

All Known Implementing Classes:
  GeometryItemDistance

    public interface ItemDistance

A function method which computes the distance between two `ItemBoundable`s in an `STRtree`. Used for Nearest Neighbour searches.

Author:
  Martin Davis

Method Summary
`double` `distance(ItemBoundable item1, ItemBoundable item2)` Computes the distance between two items.

Method Detail

### distance

    double distance(ItemBoundable item1,
                    ItemBoundable item2)

  Computes the distance between two items.

  Parameters:
    `item1` -
    `item2` -
  Returns:
    the distance between the items
  Throws:
    `java.lang.IllegalArgumentException` - if the metric is not applicable to the arguments

JTS Topology Suite - v 1.12